//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <iterator>
#include <vector>

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;


std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}


int main(int argc, char* argv[])
{
  vector<int> coll;

  //    -3  9
  for (int i=-3; i<=9; ++i) {
    coll.push_back (i);
  }

  //      
  //    
  // - :   -  

  cout << ToRus("/: ") << coll.end()-coll.begin() << endl;

  //   
  // - :   <   !=
  cout << ToRus(":\n");
  vector<int>::iterator pos;
  for (pos=coll.begin(); pos<coll.end(); ++pos) {
    cout << *pos << ' ';
  }  
  cout << endl;

  //   
  // - :   []   *
  cout << ToRus(":\n");
  for (int i=0; i<coll.size(); ++i) {
    cout << coll.begin()[i] << ' ';
  }
  cout << endl;

  //    
  // - :   +=
  cout << ToRus("   :\n");
  for (pos = coll.begin(); pos < coll.end()-1; pos += 2) {
    cout << *pos << ' ';
  }
  cout << endl;

  getch();
  return 0;
}

//---------------------------------------------------------------------------